freemarker.ext.beans

## Class BeansWrapper.MethodAppearanceDecisionInput

- java.lang.Object
- - freemarker.ext.beans.BeansWrapper.MethodAppearanceDecisionInput

Enclosing class:
  BeansWrapper

    public static final class BeansWrapper.MethodAppearanceDecisionInput
    extends Object

Experimental class; subject to change! Used for `MethodAppearanceFineTuner.process(freemarker.ext.beans.BeansWrapper.MethodAppearanceDecisionInput, freemarker.ext.beans.BeansWrapper.MethodAppearanceDecision)` as input parameter; see there.

### Constructor Summary

Constructors
Constructor and Description
`MethodAppearanceDecisionInput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `getContainingClass()`
`Method` `getMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodAppearanceDecisionInput

    public MethodAppearanceDecisionInput()

### Method Detail

#### getMethod

    public Method getMethod()

#### getContainingClass

    public Class getContainingClass()